#include <AI8051U.H>
#include "UART1.h"

void main(void)
{
	P_SW2 = 0x80;		//使能XFR，没有冲突不用关闭
	CKCON = 0x00;		//设置外部数据总线速度为最快
	WTST = 0x00;		//设置程序代码等待参数
						//赋值为0可将CPU执行程序的速度设置为最快
	P0M1 = 0x00;	P0M0 = 0x00;	//配置P0口为准双向口
	P1M1 = 0x00;	P1M0 = 0x00;	//配置P1口为准双向口
	P2M1 = 0x00;	P2M0 = 0x00;	//配置P2口为准双向口
	P3M1 = 0x00;	P3M0 = 0x00;	//配置P3口为准双向口
	P4M1 = 0x00;	P4M0 = 0x00;	//配置P4口为准双向口
	P5M1 = 0x00;	P5M0 = 0x00;	//配置P5口为准双向口
	
	Uart1_Init();
	ES = 1;				//使能串口1中断
	EA = 1;				//使能总中断
	Uart1_SendStr("Hello Uart!\r\n");
	
	while(1)
	{
		if(rptr != wptr)
		{
			Uart1_Send(buffer[rptr++]);
			rptr &= 0x0F;
		}
	}
}



void Uart1Isr(void) interrupt 4
{
	if (TI)						//发送中断标志置1时
	{
		TI = 0;					//清零发送中断标志
		busy = 0;				//清零忙状态
	}
	if (RI)						//接收中断标志置1时
	{
		RI = 0;					//清零接收中断标志
		buffer[wptr++] = SBUF;	//接受长度16
		wptr &= 0x0f;			//接受长度16
	}
}
